Package twisted :: Package internet :: Module error :: Class CannotListenError

[frames | no frames]

## Class CannotListenError

    Exception --+
                |
        BindError --+
                    |
                   CannotListenError

This gets raised by a call to startListening, when the object cannot start listening.

Method Summary
| `__init__(self, interface, port, socketError)`
| `__str__(self)`
Inherited from Exception
| `__getitem__(...)`

Instance Variable Summary
| `interface`: the interface I tried to listen on
| `port`: the port I tried to listen on
`socket.error` | `socketError`: the exception I got when I tried to listen

Instance Variable Details

### interface

the interface I tried to listen on

### port

the port I tried to listen on

### socketError

the exception I got when I tried to listen

  Type:
    `socket.error`

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net